// Sample code for using CAutoWord class
//
// Author : Poonam Bajaj
//
// Date   : 24th December, 2000
//

#include <stdio.h>
#include <process.h>

// Include file for CAutoWord
#include "AutoWord.h"

void main(int argc, char *argv[])
{
	if (argc != 2)
	{
		printf("Usage : \nPrintWordDoc FilePath\n");
		exit(0);
	}

	if (argv[1] == NULL)
	{
		printf("Invalid argument!\n");
		exit(0);
	}

	// save filepath in a local variable
	char* strFilePath = argv[1];

    // Instantiate CAutoWord
	CAutoWord	AutoWord;

	// Set filepath 
	int iRetVal = AutoWord.InitAutomation();
	if (iRetVal != 0)
	{
		printf("LoadDocument operation failed.");
	}

	// Print the WORD document
	iRetVal = AutoWord.PrintDocument(strFilePath);
	if (iRetVal == 0)
	{
		printf(strFilePath); /*+*/ printf(" was sent to printer.");
	}
	else
	{
		printf("Print operation failed.");
	}
}